## Function `jsonObject( txt )`

Description:
  Converts the supplied string to a JSONObject which can be interrogated further. If the input string doesn't have the syntax of a JSON object, an empty JSONObject will be returned.

  The JSON parsing is currently somewhat lenient, for instance allowing a comma before a closing curly bracket.

Parameters:
  `txt` (String)
    string assumed to contain a JSON object

Return Value (JSONObject):
  JSON object value on which further methods can be called

Signature:
  `JSONObject jsonObject(String)`